Bug 726588 - Language titles with long names overflow in Languages and Profile pages
Language titles with long names overflow in Languages and Profile pages
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.3-alpha-3
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 02:37 EDT by David Mason
Modified: 2011-10-28 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2011-07-29 02:37:20 EDT
Description of problem:
Languages and projects with long titles overflow and obscure the content on zanata/profile/view and zanata/language/list


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Sign in to Zanata as administrator
2.Create a project with a long name, or add a language with a long native name
3.view My Profile or Languages page
  
Actual results:
Project name or language native name overflow their container and obscure the description. Observed in Chrome and Firefox


Expected results:
Project or language description are visible regardless of the length of the project or language name.

Additional info:
Comment 1 David Mason 2011-07-29 03:02:59 EDT
Possible approaches:

- Truncate long names (show ellipsis) and display in full as tooltip.
- Resize title divs for longer names.
- Change from block layout to table layout (would also allow more sorting options).
Comment 2 Sean Flanigan 2011-07-29 03:13:40 EDT
I vote for the sortable table, combined with ellipses/tooltips for really, really long names.
Comment 3 Sean Flanigan 2011-09-07 00:33:42 EDT
Assigning to Scrum product owner for prioritisation.
Comment 4 Runa Bhattacharjee 2011-09-08 09:02:18 EDT
I agree with comment #2
Comment 5 Alex Eng 2011-10-18 20:25:34 EDT
Implemented:

Sortable language table in "Language Page" and reorganise "My Profile" page.
See https://github.com/zanata/zanata/commit/c1e6eaa7b5125911c17b5d5d1ebfbee73341c64e
Comment 6 Ding-Yi Chen 2011-10-18 23:12:20 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111019-1122)

Note You need to log in before you can comment on or make changes to this bug.